package pl.edu.pg;

public class Student extends Person {

    public enum Status {
        ACTIVE("Aktywny", "Active"),
        BREAK("Urlopowany", "Break"),
        DELETED("Skreślony", "Deleted");

        private String valuePl;
        private String valueEn;

        Status(String valuePl, String valueEn) {
            this.valuePl = valuePl;
            this.valueEn = valueEn;
        }

        public String getValuePl() {
            return valuePl;
        }

        public String getValueEn() {
            return valueEn;
        }
    }


    private long albumNumber;
    private Status status;              // aktywny, urlopowany, skreślony

    public Student(String firstName, String lastName, long albumNumber) {
        super(firstName, lastName);
        this.albumNumber = albumNumber;
    }

    public void info(){
        System.out.println("Student id: " + id);
        System.out.println("Imie: " + firstName);
        System.out.println("Nazwisko: " + lastName);
        System.out.println("Number albumu: " + albumNumber);
        System.out.println("Status: " + (status == null ? "-" : status.getValuePl()));
    }

    //---------------------------------- Autogenerated code


    public long getAlbumNumber() {
        return albumNumber;
    }

    public void setAlbumNumber(long albumNumber) {
        this.albumNumber = albumNumber;
    }

    public Status getStatus() {
        return status;
    }

    public void setStatus(Status status) {
        this.status = status;
    }
}
